<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Cacti – Upgrading Cacti under Windows</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <style type="text/css">
a.sourceLine { display: inline-block; line-height: 1.25; }
a.sourceLine { pointer-events: none; color: inherit; text-decoration: inherit; }
a.sourceLine:empty { height: 1.2em; }
.sourceCode { overflow: visible; }
code.sourceCode { white-space: pre; position: relative; }
div.sourceCode { margin: 1em 0; }
pre.sourceCode { margin: 0; }
@media screen {
div.sourceCode { overflow: auto; }
}
@media print {
code.sourceCode { white-space: pre-wrap; }
a.sourceLine { text-indent: -1em; padding-left: 1em; }
}
pre.numberSource a.sourceLine
  { position: relative; left: -4em; }
pre.numberSource a.sourceLine::before
  { content: attr(title);
    position: relative; left: -1em; text-align: right; vertical-align: baseline;
    border: none; pointer-events: all; display: inline-block;
    -webkit-touch-callout: none; -webkit-user-select: none;
    -khtml-user-select: none; -moz-user-select: none;
    -ms-user-select: none; user-select: none;
    padding: 0 4px; width: 4em;
    color: #aaaaaa;
  }
pre.numberSource { margin-left: 3em; border-left: 1px solid #aaaaaa;  padding-left: 4px; }
div.sourceCode
  {  }
@media screen {
a.sourceLine::before { text-decoration: underline; }
}
code span.al { color: #ff0000; font-weight: bold; } /* Alert */
code span.an { color: #60a0b0; font-weight: bold; font-style: italic; } /* Annotation */
code span.at { color: #7d9029; } /* Attribute */
code span.bn { color: #40a070; } /* BaseN */
code span.bu { } /* BuiltIn */
code span.cf { color: #007020; font-weight: bold; } /* ControlFlow */
code span.ch { color: #4070a0; } /* Char */
code span.cn { color: #880000; } /* Constant */
code span.co { color: #60a0b0; font-style: italic; } /* Comment */
code span.cv { color: #60a0b0; font-weight: bold; font-style: italic; } /* CommentVar */
code span.do { color: #ba2121; font-style: italic; } /* Documentation */
code span.dt { color: #902000; } /* DataType */
code span.dv { color: #40a070; } /* DecVal */
code span.er { color: #ff0000; font-weight: bold; } /* Error */
code span.ex { } /* Extension */
code span.fl { color: #40a070; } /* Float */
code span.fu { color: #06287e; } /* Function */
code span.im { } /* Import */
code span.in { color: #60a0b0; font-weight: bold; font-style: italic; } /* Information */
code span.kw { color: #007020; font-weight: bold; } /* Keyword */
code span.op { color: #666666; } /* Operator */
code span.ot { color: #007020; } /* Other */
code span.pp { color: #bc7a00; } /* Preprocessor */
code span.sc { color: #4070a0; } /* SpecialChar */
code span.ss { color: #bb6688; } /* SpecialString */
code span.st { color: #4070a0; } /* String */
code span.va { color: #19177c; } /* Variable */
code span.vs { color: #4070a0; } /* VerbatimString */
code span.wa { color: #60a0b0; font-weight: bold; font-style: italic; } /* Warning */
  </style>
  <link rel="stylesheet" href="Cacti-Github.css" />
</head>
<body>
<h1 id="upgrading-cacti-under-windows">Upgrading Cacti under Windows</h1>
<p>Download <a href="https://www.cacti.net/download_cacti.php">latest stable version</a> of Cacti which is referred to as <code>cacti-xxx.zip</code> in this document.</p>
<ol>
<li><p>Stop poller.</p>
<ul>
<li><p>Cacti Console</p></li>
<li><p>Configuration</p></li>
<li><p>Settings</p></li>
<li><p>Poller</p></li>
<li><p>uncheck Data Collection Enabled and Save</p></li>
</ul></li>
<li><p>Run Command Prompt as administrator and backup database.</p>
<div class="sourceCode" id="cb1"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb1-1" title="1"><span class="ex">shell</span><span class="op">&gt;</span> cd Documents</a>
<a class="sourceLine" id="cb1-2" title="2"><span class="ex">shell</span><span class="op">&gt;</span> <span class="st">&quot;\Program Files\MySQL\MySQL Server 5.7\bin\mysqldump.exe&quot;</span> -uroot -p -l --add-drop-table cacti <span class="op">&gt;</span> cacti-version-YYYYMMDD.sql</a></code></pre></div></li>
<li><p>Backup the old Cacti directory.</p>
<div class="sourceCode" id="cb2"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb2-1" title="1"><span class="ex">shell</span><span class="op">&gt;</span> cd \inetpub\wwwroot</a>
<a class="sourceLine" id="cb2-2" title="2"><span class="ex">shell</span><span class="op">&gt;</span> robocopy cacti cacti-version-YYYYMMDD /s /b /copyall</a></code></pre></div></li>
<li><p>Windows Update</p></li>
<li><p>MySQL</p>
<ul>
<li><p>Open <code>MySQL Installer - Community</code></p></li>
<li><p>update Catalog</p></li>
<li><p>upgrade MySQL Server</p></li>
</ul></li>
<li><p>PHP</p>
<ul>
<li><p>Backup <code>C:\php\</code> folder</p></li>
<li><p>Download a <a href="http://php.net/supported-versions.php">supported version</a> of <a href="https://windows.php.net/download/">PHP for Windows</a> using the appropriate build for IIS or Apache. If missing, install the appropriate VC build.</p></li>
<li><p>Overwrite <code>C:\php\</code> folder contents from zip file.</p></li>
</ul></li>
<li><p>Overwrite new Cacti version to production folder. Extract contents of <code>cacti-xxx</code> folder in <code>cacti-xxx.zip</code> to <code>C:\inetpub\wwwroot\cacti\</code> and replace files.</p></li>
<li><p>Edit <code>include/config.php</code> and specify the MySQL user, password and database for your Cacti configuration.</p>
<div class="sourceCode" id="cb3"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb3-1" title="1"><span class="ex">shell</span><span class="op">&gt;</span> notepad cacti/include/config.php</a></code></pre></div>
<div class="sourceCode" id="cb4"><pre class="sourceCode php"><code class="sourceCode php"><a class="sourceLine" id="cb4-1" title="1"><span class="kw">$database_type</span> = <span class="st">&quot;mysql&quot;</span><span class="ot">;</span></a>
<a class="sourceLine" id="cb4-2" title="2"><span class="kw">$database_default</span> = <span class="st">&quot;cacti&quot;</span><span class="ot">;</span></a>
<a class="sourceLine" id="cb4-3" title="3"><span class="kw">$database_hostname</span> = <span class="st">&quot;localhost&quot;</span><span class="ot">;</span></a>
<a class="sourceLine" id="cb4-4" title="4"><span class="kw">$database_username</span> = <span class="st">&quot;cactiuser&quot;</span><span class="ot">;</span></a>
<a class="sourceLine" id="cb4-5" title="5"><span class="kw">$database_password</span> = <span class="st">&quot;cacti&quot;</span><span class="ot">;</span></a></code></pre></div></li>
<li><p>Point your web browser to: <code>http://localhost/cacti/</code></p>
<p>Follow the on-screen instructions so your database can be updated to the new version.</p>
<p>Open "MySQL 5.7 Command Line Client" and set variables as needed in following format:</p>
<div class="sourceCode" id="cb5"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb5-1" title="1"><span class="kw">set</span> <span class="ex">global</span> max_allowed_packet = 16777216<span class="kw">;</span></a>
<a class="sourceLine" id="cb5-2" title="2"><span class="kw">set</span> <span class="ex">global</span> tmp_table_size = 67108864<span class="kw">;</span></a>
<a class="sourceLine" id="cb5-3" title="3"><span class="kw">set</span> <span class="ex">global</span> join_buffer_size = 67108864<span class="kw">;</span></a>
<a class="sourceLine" id="cb5-4" title="4"><span class="kw">set</span> <span class="ex">global</span> innodb_flush_log_at_timeout = 3<span class="kw">;</span></a></code></pre></div></li>
<li><p>Start poller</p>
<ul>
<li><p>Cacti Console</p></li>
<li><p>Configuration</p></li>
<li><p>Settings</p></li>
<li><p>Poller</p></li>
<li><p>check Data Collection Enabled and Save</p></li>
</ul></li>
</ol>
<hr />
<p><copy>Copyright (c) 2004-2021 The Cacti Group</copy></p>
</body>
</html>
